--- /dev/null
+# If you purchase a subscription to the GeoIP database,
+# then you will obtain a license key which you can
+# use to automatically obtain updates.
+# for more details, please go to
+# http://www.maxmind.com/en/geolocation_landing
+
+# HowTo configure geoipupdate
+# http://www.maxmind.com/en/license_key
+
+# customer find the user_id and license key here:
+# https://www.maxmind.com/en/my_license_key
+#
+# UserId, and available ProductIds
+
+# Enter your license key here
+# customers should insert their license key and user_id
+# free GeoLite users should use 000000000000 as license key
+LicenseKey YOUR_LICENSE_KEY_HERE
+
+# Enter your User ID here ( GeoLite only users should use 999999 as user_id )
+UserId YOUR_USER_ID_HERE
+
+# Enter the Product ID(s) of the database(s) you would like to update
+# By default 106 (MaxMind GeoIP Country) is listed below
+ProductIds 106
+
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/cyrus-sasl/files/saslauthd-2.1.21.conf,v 1.2 2007/04/07 13:03:55 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/cyrus-sasl/files/saslauthd-2.1.26.conf,v 1.1 2013/07/13 12:01:10 pacho Exp $
-# Config file for /etc/init.d/saslauthd
+# Config file for /etc/init.d/saslauthd and systemd unit
-# Initial (empty) options.
-SASLAUTHD_OPTS=""
+# PLEASE READ THIS IF YOU ARE USING SYSTEMD
+# Please note that systemd does not expand shell variables
+# thus, something like FOO="${FOO} bar" won't work.
# Specify the authentications mechanism.
# **NOTE** For a list see: saslauthd -v
# Since 2.1.19, add "-r" to options for old behavior,
# ie. reassemble user and realm to user@realm form.
-#SASLAUTHD_OPTS="${SASLAUTHD_OPTS} -a pam -r"
-SASLAUTHD_OPTS="${SASLAUTHD_OPTS} -a pam"
-
-# Specify the hostname for remote IMAP server.
-# **NOTE** Only needed if rimap auth mechanism is used.
-#SASLAUTHD_OPTS="${SASLAUTHD_OPTS} -O localhost"
-
-# Specify the number of worker processes to create.
-#SASLAUTHD_OPTS="${SASLAUTHD_OPTS} -n 5"
-
-# Enable credential cache, set cache size and timeout.
-# **NOTE** Size is measured in kilobytes.
-# Timeout is measured in seconds.
-#SASLAUTHD_OPTS="${SASLAUTHD_OPTS} -c -s 128 -t 30"
+#
+# Specify the hostname for remote IMAP server using:
+# "-O localhost".
+# Specify the number of worker processes to create using:
+# "-n <N>".
+# Enable credential cache, set cache size and timeout using:
+# "-c -s <cache size, like 128> -t <timeout seconds>".
+#
+SASLAUTHD_OPTS="-a pam"
# Config file for /etc/init.d/syslog-ng
+# If you are not using network logging, this entire section should be
+# commented out. Otherwise, choose one of the settings below based on
+# how you are configuring your network.
+#
+# If you are using the net.* scripts to configure your network, you should
+# set rc_need to match the interface through which your logging server
+# can be reached.
+#rc_need="net.eth0"
+#
+# If you are using an interface manager like wicd, dhcpcd in standalone
+# mode, networkmanager, etc to control your interfaces, set rc_need to
+# the name of that service.
+# rc_need="dhcpcd"
+#rc_need="networkmanager"
+#
+# If you are using newnet and configuring your interface statically with
+# the network script, you should use this setting.
+#rc_need="network"
+#
+# You can use this setting, but I do not recommend relying on it.
+#rc_need="net"
+#
+# You may also want to uncomment the following if you are using network
+# logging.
+#rc_use="stunnel"
+
+# For very customized setups these variables can be adjusted as needed
+# but for most situations they should remain commented:
+# SYSLOG_NG_CONFIGFILE=/etc/syslog-ng/syslog-ng.conf
+# SYSLOG_NG_STATEFILE_DIR=/var/lib/syslog-ng
+# SYSLOG_NG_STATEFILE=${SYSLOG_NG_STATEFILE_DIR}/syslog-ng.persist
+# SYSLOG_NG_PIDFILE_DIR=/var/run
+# SYSLOG_NG_PIDFILE=${SYSLOG_NG_PIDFILE_DIR}/syslog-ng.pid
+# SYSLOG_NG_GROUP=root
+# SYSLOG_NG_USER=root
+
# Put any additional options for syslog-ng here.
# See syslog-ng(8) for more information.
--- /dev/null
+# AICCU Configuration
+
+# Login information (defaults: none)
+#username <your nichandle/username>
+#password <your password>
+username FBT6-SIXXS
+password EMsiWgsus
+
+# Protocol and server to use for setting up the tunnel (defaults: none)
+#protocol <tic|tsp|l2tp>
+#server <server to use>
+protocol tic
+server tic.sixxs.net
+
+# Interface names to use (default: aiccu)
+# ipv6_interface is the name of the interface that will be used as a tunnel interface.
+# On *BSD the ipv6_interface should be set to gifX (eg gif0) for proto-41 tunnels
+# or tunX (eg tun0) for AYIYA tunnels.
+ipv6_interface sixxs
+
+# The tunnel_id to use (default: none)
+# (only required when there are multiple tunnels in the list)
+#tunnel_id Txxxx
+tunnel_id T84158
+
+# Be verbose? (default: false)
+verbose false
+
+# Daemonize? (default: true)
+# Set to false if you want to see any output
+# When true output goes to syslog
+#
+# WARNING: never run AICCU from DaemonTools or a similar automated
+# 'restart' tool/script. When AICCU does not start, it has a reason
+# not to start which it gives on either the stdout or in the (sys)log
+# file. The TIC server *will* automatically disable accounts which
+# are detected to run in this mode.
+#
+daemonize true
+
+# Automatic Login and Tunnel activation?
+automatic true
+
+# Require TLS?
+# When set to true, if TLS is not supported on the server
+# the TIC transaction will fail.
+# When set to false, it will try a starttls, when that is
+# not supported it will continue.
+# In any case if AICCU is build with TLS support it will
+# try to do a 'starttls' to the TIC server to see if that
+# is supported.
+requiretls false
+
+# PID File
+#pidfile /var/run/aiccu.pid
+
+# Add a default route (default: true)
+defaultroute true
+
+# Script to run after setting up the interfaces (default: none)
+#setupscript /usr/local/etc/aiccu-subnets.sh
+
+# Make heartbeats (default true)
+# In general you don't want to turn this off
+# Of course only applies to AYIYA and heartbeat tunnels not to static ones
+#makebeats true
+
+# Don't configure anything (default: false)
+#noconfigure true
+
+# Behind NAT (default: false)
+# Notify the user that a NAT-kind network is detected
+behindnat true
+
+# Local IPv4 Override (default: none)
+# Overrides the IPv4 parameter received from TIC
+# This allows one to configure a NAT into "DMZ" mode and then
+# forwarding the proto-41 packets to an internal host.
+#
+# This is only needed for static proto-41 tunnels!
+# AYIYA and heartbeat tunnels don't require this.
+#local_ipv4_override
+
--- /dev/null
+# AICCU Configuration
+
+# Login information (defaults: none)
+#username <your nichandle/username>
+#password <your password>
+
+# Protocol and server to use for setting up the tunnel (defaults: none)
+#protocol <tic|tsp|l2tp>
+#server <server to use>
+
+# Interface names to use (default: aiccu)
+# ipv6_interface is the name of the interface that will be used as a tunnel interface.
+# On *BSD the ipv6_interface should be set to gifX (eg gif0) for proto-41 tunnels
+# or tunX (eg tun0) for AYIYA tunnels.
+ipv6_interface sixxs
+
+# The tunnel_id to use (default: none)
+# (only required when there are multiple tunnels in the list)
+#tunnel_id Txxxx
+
+# Be verbose? (default: false)
+verbose false
+
+# Daemonize? (default: true)
+# Set to false if you want to see any output
+# When true output goes to syslog
+#
+# WARNING: never run AICCU from DaemonTools or a similar automated
+# 'restart' tool/script. When AICCU does not start, it has a reason
+# not to start which it gives on either the stdout or in the (sys)log
+# file. The TIC server *will* automatically disable accounts which
+# are detected to run in this mode.
+#
+daemonize true
+
+# Automatic Login and Tunnel activation?
+automatic true
+
+# Require TLS?
+# When set to true, if TLS is not supported on the server
+# the TIC transaction will fail.
+# When set to false, it will try a starttls, when that is
+# not supported it will continue.
+# In any case if AICCU is build with TLS support it will
+# try to do a 'starttls' to the TIC server to see if that
+# is supported.
+requiretls false
+
+# PID File
+#pidfile /var/run/aiccu.pid
+
+# Add a default route (default: true)
+#defaultroute true
+
+# Script to run after setting up the interfaces (default: none)
+#setupscript /usr/local/etc/aiccu-subnets.sh
+
+# Make heartbeats (default true)
+# In general you don't want to turn this off
+# Of course only applies to AYIYA and heartbeat tunnels not to static ones
+#makebeats true
+
+# Don't configure anything (default: false)
+#noconfigure true
+
+# Behind NAT (default: false)
+# Notify the user that a NAT-kind network is detected
+#behindnat true
+
+# Local IPv4 Override (default: none)
+# Overrides the IPv4 parameter received from TIC
+# This allows one to configure a NAT into "DMZ" mode and then
+# forwarding the proto-41 packets to an internal host.
+#
+# This is only needed for static proto-41 tunnels!
+# AYIYA and heartbeat tunnels don't require this.
+#local_ipv4_override
+
--- /dev/null
+# /etc/conf.d/apache2: config file for /etc/init.d/apache2
+
+# When you install a module it is easy to activate or deactivate the modules
+# and other features of apache using the APACHE2_OPTS line. Every module should
+# install a configuration in /etc/apache2/modules.d. In that file will have an
+# <IfDefine NNN> directive where NNN is the option to enable that module.
+#
+# Here are the options available in the default configuration:
+#
+# AUTH_DIGEST Enables mod_auth_digest
+# AUTHNZ_LDAP Enables authentication through mod_ldap (available if USE=ldap)
+# CACHE Enables mod_cache
+# DAV Enables mod_dav
+# ERRORDOCS Enables default error documents for many languages.
+# INFO Enables mod_info, a useful module for debugging
+# LANGUAGE Enables content-negotiation based on language and charset.
+# LDAP Enables mod_ldap (available if USE=ldap)
+# MANUAL Enables /manual/ to be the apache manual (available if USE=docs)
+# MEM_CACHE Enables default configuration mod_mem_cache
+# PROXY Enables mod_proxy
+# SSL Enables SSL (available if USE=ssl)
+# STATUS Enabled mod_status, a useful module for statistics
+# SUEXEC Enables running CGI scripts (in USERDIR) through suexec.
+# USERDIR Enables /~username mapping to /home/username/public_html
+#
+#
+# The following two options provide the default virtual host for the HTTP and
+# HTTPS protocol. YOU NEED TO ENABLE AT LEAST ONE OF THEM, otherwise apache
+# will not listen for incomming connections on the approriate port.
+#
+# DEFAULT_VHOST Enables name-based virtual hosts, with the default
+# virtual host being in /var/www/localhost/htdocs
+# SSL_DEFAULT_VHOST Enables default vhost for SSL (you should enable this
+# when you enable SSL)
+#
+APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D MANUAL -D SSL -D SSL_DEFAULT_VHOST -D SUEXEC -D LANGUAGE"
+
+# Extended options for advanced uses of Apache ONLY
+# You don't need to edit these unless you are doing crazy Apache stuff
+# As not having them set correctly, or feeding in an incorrect configuration
+# via them will result in Apache failing to start
+# YOU HAVE BEEN WARNED.
+
+# PID file
+#PIDFILE=/var/run/apache2.pid
+
+# timeout for startup/shutdown checks
+#TIMEOUT=10
+
+# ServerRoot setting
+#SERVERROOT=/usr/lib64/apache2
+
+# Configuration file location
+# - If this does NOT start with a '/', then it is treated relative to
+# $SERVERROOT by Apache
+#CONFIGFILE=/etc/apache2/httpd.conf
+
+# Location to log startup errors to
+# They are normally dumped to your terminal.
+#STARTUPERRORLOG="/var/log/apache2/startuperror.log"
+
+# A command that outputs a formatted text version of the HTML at the URL
+# of the command line. Designed for lynx, however other programs may work.
+#LYNX="lynx -dump"
+
+# The URL to your server's mod_status status page.
+# Required for status and fullstatus
+#STATUSURL="http://localhost/server-status"
+
+# Method to use when reloading the server
+# Valid options are 'restart' and 'graceful'
+# See http://httpd.apache.org/docs/2.2/stopping.html for information on
+# what they do and how they differ.
+#RELOAD_TYPE="graceful"
--- /dev/null
+# /etc/conf.d/apache2: config file for /etc/init.d/apache2
+
+# When you install a module it is easy to activate or deactivate the modules
+# and other features of apache using the APACHE2_OPTS line. Every module should
+# install a configuration in /etc/apache2/modules.d. In that file will have an
+# <IfDefine NNN> directive where NNN is the option to enable that module.
+#
+# Here are the options available in the default configuration:
+#
+# AUTH_DIGEST Enables mod_auth_digest
+# AUTHNZ_LDAP Enables authentication through mod_ldap (available if USE=ldap)
+# CACHE Enables mod_cache
+# DAV Enables mod_dav
+# ERRORDOCS Enables default error documents for many languages.
+# INFO Enables mod_info, a useful module for debugging
+# LANGUAGE Enables content-negotiation based on language and charset.
+# LDAP Enables mod_ldap (available if USE=ldap)
+# MANUAL Enables /manual/ to be the apache manual (available if USE=docs)
+# MEM_CACHE Enables default configuration mod_mem_cache
+# PROXY Enables mod_proxy
+# SSL Enables SSL (available if USE=ssl)
+# STATUS Enabled mod_status, a useful module for statistics
+# SUEXEC Enables running CGI scripts (in USERDIR) through suexec.
+# USERDIR Enables /~username mapping to /home/username/public_html
+#
+#
+# The following two options provide the default virtual host for the HTTP and
+# HTTPS protocol. YOU NEED TO ENABLE AT LEAST ONE OF THEM, otherwise apache
+# will not listen for incomming connections on the approriate port.
+#
+# DEFAULT_VHOST Enables name-based virtual hosts, with the default
+# virtual host being in /var/www/localhost/htdocs
+# SSL_DEFAULT_VHOST Enables default vhost for SSL (you should enable this
+# when you enable SSL)
+#
+APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D SSL -D SSL_DEFAULT_VHOST -D SUEXEC -D LANGUAGE"
+
+# Extended options for advanced uses of Apache ONLY
+# You don't need to edit these unless you are doing crazy Apache stuff
+# As not having them set correctly, or feeding in an incorrect configuration
+# via them will result in Apache failing to start
+# YOU HAVE BEEN WARNED.
+
+# PID file
+#PIDFILE=/var/run/apache2.pid
+
+# timeout for startup/shutdown checks
+#TIMEOUT=10
+
+# ServerRoot setting
+#SERVERROOT=/usr/lib64/apache2
+
+# Configuration file location
+# - If this does NOT start with a '/', then it is treated relative to
+# $SERVERROOT by Apache
+#CONFIGFILE=/etc/apache2/httpd.conf
+
+# Location to log startup errors to
+# They are normally dumped to your terminal.
+#STARTUPERRORLOG="/var/log/apache2/startuperror.log"
+
+# A command that outputs a formatted text version of the HTML at the URL
+# of the command line. Designed for lynx, however other programs may work.
+#LYNX="lynx -dump"
+
+# The URL to your server's mod_status status page.
+# Required for status and fullstatus
+#STATUSURL="http://localhost/server-status"
+
+# Method to use when reloading the server
+# Valid options are 'restart' and 'graceful'
+# See http://httpd.apache.org/docs/2.2/stopping.html for information on
+# what they do and how they differ.
+#RELOAD_TYPE="graceful"
--- /dev/null
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.logrotate,v 1.3 2008/10/15 20:46:12 mr_bones_ Exp $
+#
+# Syslog-ng logrotate snippet for Gentoo Linux
+# contributed by Michael Sterrett
+#
+
+#/var/log/messages {
+# missingok
+# sharedscripts
+# postrotate
+# /etc/init.d/syslog-ng reload > /dev/null 2>&1 || true
+# endscript
+#}
+
+script syslog-reload
+ /etc/init.d/syslog-ng reload >/dev/null || true
+endscript
+
+/var/log/messages {
+ daily
+ olddir /var/log/.old/%Y-%m
+ size 1024K
+ postrotate syslog-reload
+ maxage 2y
+}
+/var/log/syslog {
+ daily
+ olddir /var/log/.old/%Y-%m
+ size 4M
+ postrotate syslog-reload
+ maxage 1y
+}
+
+/var/log/syslog.d/* {
+ daily
+ olddir /var/log/syslog.d/.old/%Y-%m
+ size 1024K
+ postrotate syslog-reload
+ maxage 1y
+}
+
+/var/log/debug {
+ daily
+ olddir /var/log/.old/%Y-%m
+ size 4M
+ postrotate syslog-reload
+ maxage 6m
+}
+
+/var/log/all {
+ daily
+ olddir /var/log/.old/%Y-%m
+ size 10M
+ postrotate syslog-reload
+ maxage 2m
+}
+
+# vim: ts=4 filetype=conf
--- /dev/null
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.logrotate,v 1.3 2008/10/15 20:46:12 mr_bones_ Exp $
+#
+# Syslog-ng logrotate snippet for Gentoo Linux
+# contributed by Michael Sterrett
+#
+
+/var/log/messages {
+ missingok
+ sharedscripts
+ postrotate
+ /etc/init.d/syslog-ng reload > /dev/null 2>&1 || true
+ endscript
+}
--- /dev/null
+# These settings were set by the catalyst build script that automatically
+# built this stage.
+# Please consult /usr/share/portage/config/make.conf.example for a more
+# detailed example.
+CFLAGS="-O2 -pipe"
+CXXFLAGS="${CFLAGS}"
+# WARNING: Changing your CHOST is not something that should be done lightly.
+# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
+CHOST="x86_64-pc-linux-gnu"
+# These are the USE flags that were used in addition to what is provided by the
+# profile used for building.
+
+USE="Xaw3d aalib ads aim amr ao archive audiofile avahi bash-completion \
+ bazaar bluray calendar caps cddb cdparanoia cgi cpudetection cscope \
+ css ctype curl curlwrappers cvs dbase dga djvu dv dvb dvdread \
+ examples expat fastcgi ffmpeg fftw fits flatfile fltk fontconfig \
+ foomaticdb ftp fuse gconf gd geoip ggi gimp git git glade glib gmp gnustep \
+ gphoto2 graphviz gsl gsm gtk3 gtkhtml handbook highlight hscolour html icu id3 \
+ id3tag idea idn ieee1394 imagemagick imap imlib inifile jabber jack \
+ java java6 javascript jbig jikes jingle jpeg2k json json-syck json-xs \
+ kde kdeenablefinal kerberos keyring kig-scripting kpathsea lame latex \
+ libsamplerate libwww live lm_sensors log4j logrotate lua lzma lzo \
+ meanwhile mercurial mhash midi mmxext mmx modplug motif mplayer msn mtp \
+ musepack musicbrainz mysql mysqli nas networkmanager next nfs nis \
+ nsplugin ntlm numpy odbc openal openexr opus par pch pcntl perl plasma \
+ plotutils posix postgres postscript projectm python quicktime rdesktop \
+ rle sasl semantic-desktop sharedmem sid simplexml sip slang slp smtp sndfile \
+ soap sockets sox speex sqlite sqlite3 srtp \
+ sse sse2 ssh subversion sysvipc tetex theora threads thumbnail tidy \
+ timidity tools twolame v4l v4l2 vcd video vim-syntax wav wavpack \
+ wddx webdav webkit wma wmf xattr xcomposite xface xft xine xmlrpc \
+ xmp xosd xpm xprint xscreensaver xsl xulrunner yahoo yaz yv12 zeroconf"
+
+GENTOO_MIRRORS="http://mirror.opteamax.de/gentoo/ http://mirror.netcologne.de/gentoo/"
+
+PORTDIR_OVERLAY="/usr/local/portage"
+
+PORT_LOGDIR=/var/log/portage
+
+PORTAGE_NICENESS=3
+AUTOCLEAN="yes"
+
+ACCEPT_LICENSE=" \
+ DOOM3 \
+ PUEL \
+ RTCW \
+ RTCW-ETEULA \
+ dlj-1.1 \
+ sun-bcla-java-vm \
+ AdobeFlash-10 \
+ AdobeFlash-10.3 \
+ AdobeFlash-10.1 \
+ AdobeFlash-11.x \
+ skype-eula \
+ skype-4.0.0.7-copyright \
+ Oracle-BCLA-JavaSE \
+"
+
+#FETCHCOMMAND="/usr/bin/wget -t 5 --passive-ftp -P \${DISTDIR} \${URI}"
+#FETCHCOMMAND="mv -v \${DISTDIR}/.old/\${FILE} \${DISTDIR}/"
+
+CONFIG_PROTECT="/usr/share/xsessions \
+ /var/www/localhost/htdocs/phpmyadmin \
+ /var/lib/samba/private \
+ /var/www/localhost/htdocs/cacti \
+ /var/www/ldap/htdocs/config \
+ /var/www/ldap/htdocs/templates \
+ /usr/share/genkernel/arch/x86 \
+ /usr/share/config/kdm \
+"
+
+MAKEOPTS="-j3"
+#MAKEOPTS="-j1"
+
+EMERGE_DEFAULT_OPTS="--with-bdeps y --quiet-build=y --jobs=2 --load-average=10"
+
+FEATURES="parallel-fetch userpriv usersandbox"
+
+LINGUAS="de en en_GB en_US ru"
+
+INPUT_DEVICES="evdev keyboard mouse"
+
+VIDEO_CARDS="dummy fbdev radeon radeonhd svga vesa vga v4l"
+
+CAMERAS="adc65 agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 \
+ digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 \
+ iclick jamcam jd11 jl2005a jl2005c kodak_dc120 kodak_dc210 \
+ kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan \
+ lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 \
+ panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 \
+ polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra \
+ sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 \
+ soundvision spca50x sq905 st2205 stv0674 stv0680 sx330z template \
+ topfield toshiba_pdrm11 tp6801"
+
+QEMU_SOFTMMU_TARGETS="i386 x86_64"
+QEMU_USER_TARGETS="i386 x86_64"
+
+LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver \
+ pdfimport scripting-javascript"
+
+source /var/lib/layman/make.conf
--- /dev/null
+# These settings were set by the catalyst build script that automatically
+# built this stage.
+# Please consult /usr/share/portage/config/make.conf.example for a more
+# detailed example.
+CFLAGS="-O2 -pipe"
+CXXFLAGS="${CFLAGS}"
+# WARNING: Changing your CHOST is not something that should be done lightly.
+# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
+CHOST="x86_64-pc-linux-gnu"
+# These are the USE flags that were used in addition to what is provided by the
+# profile used for building.
+
+USE="Xaw3d aalib ads aim amr ao archive audiofile avahi bash-completion \
+ bazaar bluray calendar caps cddb cdparanoia cgi cpudetection cscope \
+ css ctype curl curlwrappers cvs dbase dga djvu dv dvb dvdread \
+ examples expat fastcgi ffmpeg fftw fits flatfile fltk fontconfig \
+ foomaticdb ftp fuse gconf gd geoip ggi gimp git git glade glib gmp gnustep \
+ gphoto2 graphviz gsl gsm gtk3 gtkhtml handbook highlight hscolour html icu id3 \
+ id3tag idea idn ieee1394 imagemagick imap imlib inifile jabber jack \
+ java java6 javascript jbig jikes jingle jpeg2k json json-syck json-xs \
+ kde kdeenablefinal kerberos keyring kig-scripting kpathsea lame latex \
+ libsamplerate libwww live lm_sensors log4j logrotate lua lzma lzo \
+ meanwhile mercurial mhash midi mmxext mmx modplug motif mplayer msn mtp \
+ musepack musicbrainz mysql mysqli nas networkmanager next nfs nis \
+ nsplugin ntlm numpy odbc openal openexr opus par pch pcntl perl plasma \
+ plotutils posix postgres postscript projectm python quicktime rdesktop \
+ rle sasl semantic-desktop sharedmem sid simplexml sip slang slp smtp sndfile \
+ soap sockets sox speex sqlite sqlite3 srtp \
+ sse sse2 ssh subversion sysvipc tetex theora threads thumbnail tidy \
+ timidity tools twolame v4l v4l2 vcd video vim-syntax wav wavpack \
+ wddx webdav webkit wma wmf xattr xcomposite xface xft xine xmlrpc \
+ xmp xosd xpm xprint xscreensaver xsl xulrunner yahoo yaz yv12 zeroconf"
+
+GENTOO_MIRRORS="http://mirror.opteamax.de/gentoo/ http://mirror.netcologne.de/gentoo/"
+
+PORTDIR_OVERLAY="/usr/local/portage"
+
+PORT_LOGDIR=/var/log/portage
+
+PORTAGE_NICENESS=3
+AUTOCLEAN="yes"
+
+ACCEPT_LICENSE=" \
+ DOOM3 \
+ PUEL \
+ RTCW \
+ RTCW-ETEULA \
+ dlj-1.1 \
+ sun-bcla-java-vm \
+ AdobeFlash-10 \
+ AdobeFlash-10.3 \
+ AdobeFlash-10.1 \
+ AdobeFlash-11.x \
+ skype-eula \
+ skype-4.0.0.7-copyright \
+ Oracle-BCLA-JavaSE \
+"
+
+#FETCHCOMMAND="/usr/bin/wget -t 5 --passive-ftp -P \${DISTDIR} \${URI}"
+#FETCHCOMMAND="mv -v \${DISTDIR}/.old/\${FILE} \${DISTDIR}/"
+
+CONFIG_PROTECT="/usr/share/xsessions \
+ /var/www/localhost/htdocs/phpmyadmin \
+ /var/lib/samba/private \
+ /var/www/localhost/htdocs/cacti \
+ /var/www/ldap/htdocs/config \
+ /var/www/ldap/htdocs/templates \
+ /usr/share/genkernel/arch/x86 \
+ /usr/share/config/kdm \
+"
+
+MAKEOPTS="-j3"
+#MAKEOPTS="-j1"
+
+EMERGE_DEFAULT_OPTS="--with-bdeps y --quiet-build=y --jobs=2 --load-average=10"
+
+FEATURES="parallel-fetch userpriv usersandbox"
+
+LINGUAS="de en en_GB en_US ru"
+
+INPUT_DEVICES="evdev keyboard mouse"
+
+VIDEO_CARDS="dummy fbdev radeon radeonhd svga vesa vga v4l"
+
+CAMERAS="adc65 agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 \
+ digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 \
+ iclick jamcam jd11 jl2005a jl2005c kodak_dc120 kodak_dc210 \
+ kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan \
+ lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 \
+ panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 \
+ polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra \
+ sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 \
+ soundvision spca50x sq905 st2205 stv0674 stv0680 sx330z template \
+ topfield toshiba_pdrm11 tp6801"
+
+QEMU_SOFTMMU_TARGETS="i386 x86_64"
+QEMU_USER_TARGETS="i386 x86_64"
+
+LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver \
+ pdfimport scripting-javascript"
+
+source /var/lib/layman/make.conf
+
+# Set PORTDIR for backward compatibility with various tools:
+# gentoo-bashcomp - bug #478444
+# euse - bug #474574
+# euses and ufed - bug #478318
+PORTDIR="/usr/portage"
--- /dev/null
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = /usr/portage
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
readme_directory = no
inet_protocols = ipv4
home_mailbox = .maildir/
-smtpd_relay_restrictions = permit_mynetworks,permit_sasl_authenticated,defer_unauth_destination
log { source(src); filter(f_alarm); destination(d_console); };
log { source(src); filter(f_emergency); destination(d_console_all); };
log { source(src); filter(f_syslog); destination(d_syslog); };
-log { source(src); filter(f_debug); destination(d_debug); };
-log { source(src); destination(d_all); };
+#log { source(src); filter(f_debug); destination(d_debug); };
+#log { source(src); destination(d_all); };
#log { source(src); destination(messages); };
#log { source(src); destination(console_all); };
--- /dev/null
+@version: 3.2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.conf.gentoo.3.2,v 1.1 2011/01/18 17:44:14 mr_bones_ Exp $
+#
+# Syslog-ng default configuration file for Gentoo Linux
+
+options {
+ long_hostnames(off);
+ chain_hostnames(no);
+ flush_lines(0);
+
+ # The default action of syslog-ng is to log a STATS line
+ # to the file every 10 minutes. That's pretty ugly after a while.
+ # Change it to every 12 hours so you get a nice daily update of
+ # how many messages syslog-ng missed (0).
+ stats_freq(43200);
+ # The default action of syslog-ng is to log a MARK line
+ # to the file every 20 minutes. That's seems high for most
+ # people so turn it down to once an hour. Set it to zero
+ # if you don't want the functionality at all.
+ mark_freq(3600);
+
+ frac_digits(3);
+ ts_format(iso);
+};
+
+source src {
+ unix-stream("/dev/log" max-connections(256));
+ internal();
+ file("/proc/kmsg");
+};
+
+#########################################################
+# Logging-Ziele
+
+destination d_syslog { file("/var/log/syslog"); };
+destination d_fac { file("/var/log/syslog.d/$FACILITY"); };
+destination d_debug { file("/var/log/debug"); };
+destination d_all { file("/var/log/all"); };
+destination d_messages { file("/var/log/messages"); };
+
+destination d_console { usertty("root"); };
+destination d_console_all { usertty("*"); };
+#destination loghost { udp("loghost" port(999)); };
+
+
+#destination messages { file("/var/log/messages"); };
+
+# By default messages are logged to tty12...
+#destination console_all { file("/dev/tty12"); };
+destination d_console_12 { file("/dev/tty12"); };
+# ...if you intend to use /dev/console for programs like xconsole
+# you can comment out the destination line above that references /dev/tty12
+# and uncomment the line below.
+#destination console_all { file("/dev/console"); };
+
+#destination d_xconsole { pipe("/dev/console"); };
+
+#########################################################
+# Filter-Definitionen
+
+filter f_syslog { not facility(authpriv, mail); };
+filter f_debug { not facility(auth, authpriv, news, mail); };
+filter f_messages { level(info..emerg)
+ and not facility(auth, authpriv, mail, news); };
+filter f_emergency { level(emerg); };
+
+filter f_warnings { level(warn..emerg)
+ and not facility( mail, news); };
+
+filter f_info { level(info); };
+filter f_notice { level(notice); };
+filter f_warn { level(warn); };
+filter f_crit { level(crit); };
+filter f_err { level(err); };
+filter f_alarm { level(crit, alert); };
+
+########################################################
+# Log-Definitionen
+
+log { source(src); destination(d_fac); };
+
+log { source(src); filter(f_messages); destination(d_messages); };
+#log { source(src); filter(f_messages); destination(d_xconsole); };
+log { source(src); filter(f_warnings); destination(d_console_12); };
+log { source(src); filter(f_alarm); destination(d_console); };
+log { source(src); filter(f_emergency); destination(d_console_all); };
+log { source(src); filter(f_syslog); destination(d_syslog); };
+log { source(src); filter(f_debug); destination(d_debug); };
+log { source(src); destination(d_all); };
+
+#log { source(src); destination(messages); };
+#log { source(src); destination(console_all); };
--- /dev/null
+@version: 3.4
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/3.4/syslog-ng.conf.gentoo,v 1.2 2013/06/02 01:18:35 mr_bones_ Exp $
+#
+# Syslog-ng default configuration file for Gentoo Linux
+
+# https://bugs.gentoo.org/show_bug.cgi?id=426814
+@include "scl.conf"
+
+options {
+ threaded(yes);
+ chain_hostnames(no);
+
+ # The default action of syslog-ng is to log a STATS line
+ # to the file every 10 minutes. That's pretty ugly after a while.
+ # Change it to every 12 hours so you get a nice daily update of
+ # how many messages syslog-ng missed (0).
+ stats_freq(43200);
+ # The default action of syslog-ng is to log a MARK line
+ # to the file every 20 minutes. That's seems high for most
+ # people so turn it down to once an hour. Set it to zero
+ # if you don't want the functionality at all.
+ mark_freq(3600);
+};
+
+source src { system(); internal(); };
+
+destination messages { file("/var/log/messages"); };
+
+# By default messages are logged to tty12...
+destination console_all { file("/dev/tty12"); };
+# ...if you intend to use /dev/console for programs like xconsole
+# you can comment out the destination line above that references /dev/tty12
+# and uncomment the line below.
+#destination console_all { file("/dev/console"); };
+
+log { source(src); destination(messages); };
+log { source(src); destination(console_all); };
+++ /dev/null
-@version: 3.2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.conf.gentoo.3.2,v 1.1 2011/01/18 17:44:14 mr_bones_ Exp $
-#
-# Syslog-ng default configuration file for Gentoo Linux
-
-options {
- chain_hostnames(no);
-
- # The default action of syslog-ng is to log a STATS line
- # to the file every 10 minutes. That's pretty ugly after a while.
- # Change it to every 12 hours so you get a nice daily update of
- # how many messages syslog-ng missed (0).
- stats_freq(43200);
- # The default action of syslog-ng is to log a MARK line
- # to the file every 20 minutes. That's seems high for most
- # people so turn it down to once an hour. Set it to zero
- # if you don't want the functionality at all.
- mark_freq(3600);
-};
-
-source src {
- unix-stream("/dev/log" max-connections(256));
- internal();
- file("/proc/kmsg");
-};
-
-destination messages { file("/var/log/messages"); };
-
-# By default messages are logged to tty12...
-destination console_all { file("/dev/tty12"); };
-# ...if you intend to use /dev/console for programs like xconsole
-# you can comment out the destination line above that references /dev/tty12
-# and uncomment the line below.
-#destination console_all { file("/dev/console"); };
-
-log { source(src); destination(messages); };
-log { source(src); destination(console_all); };
-MANPATH=/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man
-INFOPATH=/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/info
+MANPATH=/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/man
+INFOPATH=/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.1/info
-CURRENT=2.22
+CURRENT=2.23.1
+++ /dev/null
-TARGET="x86_64-pc-linux-gnu"
-VER="2.22"
-LIBPATH="/usr/lib64/binutils/x86_64-pc-linux-gnu/2.22"
-FAKE_TARGETS="x86_64-pc-linux-gnu"
--- /dev/null
+TARGET="x86_64-pc-linux-gnu"
+VER="2.23.1"
+LIBPATH="/usr/lib64/binutils/x86_64-pc-linux-gnu/2.23.1"
+FAKE_TARGETS="x86_64-pc-linux-gnu"
--- /dev/null
+#!/bin/sh
+if [ -n "$PUSH_REMOTE" ]; then
+ if [ "$VCS" = git ] && [ -d .git ]; then
+ git push "$PUSH_REMOTE" master || true
+ else
+ echo "PUSH_REMOTE not yet supported for $VCS" >&2
+ fi
+fi
#AVOID_COMMIT_BEFORE_INSTALL=1
# The high-level package manager that's being used.
-# (apt, pacman-g2, yum etc)
+# (apt, pacman-g2, yum, zypper etc)
# For gentoo this is emerge
HIGHLEVEL_PACKAGE_MANAGER=emerge
# (dpkg, rpm, pacman-g2, etc)
# For gentoo this is qlist
LOWLEVEL_PACKAGE_MANAGER=qlist
+
+# To push each commit to a remote, put the name of the remote here.
+# (eg, "origin" for git).
+PUSH_REMOTE=""
if (exists $uidcache{$want}) {
return $uidcache{$want};
}
- return $uidcache{$want}=scalar getpwuid($want);
+ my $name=scalar getpwuid($want);
+ return $uidcache{$want}=defined $name ? $name : $want;
}
sub gidname {
my $want=shift;
if (exists $gidcache{$want}) {
return $gidcache{$want};
}
- return $gidcache{$want}=scalar getgrgid($want);
+ my $name=scalar getgrgid($want);
+ return $gidcache{$want}=defined $name ? $name : $want;
}
chomp;
my @stat=stat($_);
exit 0
else
realfile="$file"
- if [ -n "`type -p tempfile`" ]; then
+ if which tempfile >/dev/null 2>&1 || type -p tempfile >/dev/null 2>&1; then
tempfile="tempfile"
- elif [ -n "`type -p mktemp`" ]; then
+ elif which mktemp >/dev/null 2>&1 || type -p mktemp >/dev/null 2>&1; then
tempfile="mktemp"
else
echo "etckeeper warning: can't find tempfile or mktemp" >&2
ignore "openvpn/openvpn-status.log"
ignore "cups/subscriptions.conf"
ignore "cups/subscriptions.conf.O"
+ ignore "fake-hwclock.data"
nl
comment "editor temp files"
fi
fi
realfile="$file"
- if [ -n "`type -p tempfile`" ]; then
+ if which tempfile >/dev/null 2>&1 || type -p tempfile >/dev/null 2>&1; then
tempfile="tempfile"
- elif [ -n "`type -p mktemp`" ]; then
+ elif which mktemp >/dev/null 2>&1 || type -p mktemp >/dev/null 2>&1; then
tempfile="mktemp"
else
echo "etckeeper warning: can't find tempfile or mktemp" >&2
</dir>
<dir name="gnome">
<dir name="remote_access">
- <entry name="disable_xdamage" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="disable_xdamage" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Whether we should disable the XDamage extension of X.org">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="use_upnp" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="use_upnp" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Whether we should use UPNP to forward the port in routers">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="disable_background" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="disable_background" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="When true, disable the background on receive valid session">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="icon_visibility" mtime="1362856243" type="schema" stype="string" owner="gnome">
+ <entry name="icon_visibility" mtime="1376330941" type="schema" stype="string" owner="gnome">
<local_schema locale="C" short_desc="When the status icon should be shown">
<default type="string">
<stringvalue>client</stringvalue>
</longdesc>
</local_schema>
</entry>
- <entry name="lock_screen_on_disconnect" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="lock_screen_on_disconnect" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Lock the screen when last user disconnect">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="mailto" mtime="1362856243" type="schema" stype="string" owner="gnome">
+ <entry name="mailto" mtime="1376330941" type="schema" stype="string" owner="gnome">
<local_schema locale="C" short_desc="E-mail address to which the remote desktop URL should be sent">
<default type="string">
<stringvalue></stringvalue>
</longdesc>
</local_schema>
</entry>
- <entry name="vnc_password" mtime="1362856243" type="schema" stype="string" owner="gnome">
+ <entry name="vnc_password" mtime="1376330941" type="schema" stype="string" owner="gnome">
<local_schema locale="C" short_desc="Password required for "vnc" authentication">
<default type="string">
<stringvalue></stringvalue>
</longdesc>
</local_schema>
</entry>
- <entry name="authentication_methods" mtime="1362856243" type="schema" stype="list" owner="gnome" list_type="string">
+ <entry name="authentication_methods" mtime="1376330941" type="schema" stype="list" owner="gnome" list_type="string">
<local_schema locale="C" short_desc="Allowed authentication methods">
<default type="list" ltype="string">
<li type="string">
</longdesc>
</local_schema>
</entry>
- <entry name="require_encryption" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="require_encryption" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Require encryption">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="alternative_port" mtime="1362856243" type="schema" stype="int" owner="gnome">
+ <entry name="alternative_port" mtime="1376330941" type="schema" stype="int" owner="gnome">
<local_schema locale="C" short_desc="Alternative port number">
<default type="int" value="5900"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="use_alternative_port" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="use_alternative_port" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Listen an alternative port">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="network_interface" mtime="1362856243" type="schema" stype="string" owner="gnome">
+ <entry name="network_interface" mtime="1376330941" type="schema" stype="string" owner="gnome">
<local_schema locale="C" short_desc="Network interface for listening">
<default type="string">
<stringvalue></stringvalue>
</longdesc>
</local_schema>
</entry>
- <entry name="view_only" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="view_only" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Only allow remote users to view the desktop">
<default type="bool" value="false"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="prompt_enabled" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="prompt_enabled" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Prompt the user before completing a connection">
<default type="bool" value="true"/>
<longdesc>
</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1362856243" type="schema" stype="bool" owner="gnome">
+ <entry name="enabled" mtime="1376330941" type="schema" stype="bool" owner="gnome">
<local_schema locale="C" short_desc="Enable remote desktop access">
<default type="bool" value="false"/>
<longdesc>
</entry>
</dir>
<dir name="ymsgr">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "ymsgr" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "ymsgr" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "ymsgr" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "ymsgr" URLs.</longdesc>
</entry>
</dir>
<dir name="xmpp">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "xmpp" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "xmpp" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "xmpp" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "xmpp" URLs.</longdesc>
</entry>
</dir>
<dir name="sip">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "sip" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "sip" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "sip" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "sip" URLs.</longdesc>
</entry>
</dir>
<dir name="msnim">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "msnim" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "msnim" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "msnim" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "msnim" URLs.</longdesc>
</entry>
</dir>
<dir name="irc">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "irc" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "irc" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "irc" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "irc" URLs.</longdesc>
</entry>
</dir>
<dir name="icq">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "icq" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "icq" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "icq" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "icq" URLs.</longdesc>
</entry>
</dir>
<dir name="gg">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "gg" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "gg" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "gg" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "gg" URLs.</longdesc>
</entry>
</dir>
<dir name="aim">
- <entry name="needs_terminal" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="needs_terminal" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Run the command in a terminal">
<default type="bool" value="false"/>
<longdesc>True if the command used to handle this type of URL should be run in a terminal.</longdesc>
</local_schema>
</entry>
- <entry name="command" mtime="1365505100" type="schema" stype="string" owner="purple">
+ <entry name="command" mtime="1376309541" type="schema" stype="string" owner="purple">
<local_schema locale="C" short_desc="The handler for "aim" URLs">
<default type="string">
<stringvalue>purple-url-handler "%s"</stringvalue>
<longdesc>The command used to handle "aim" URLs, if enabled.</longdesc>
</local_schema>
</entry>
- <entry name="enabled" mtime="1365505100" type="schema" stype="bool" owner="purple">
+ <entry name="enabled" mtime="1376309541" type="schema" stype="bool" owner="purple">
<local_schema locale="C" short_desc="Whether the specified command should handle "aim" URLs">
<default type="bool" value="true"/>
<longdesc>True if the command specified in the "command" key should handle "aim" URLs.</longdesc>
</dir>
<dir name="gnome">
<dir name="remote_access">
- <entry name="disable_xdamage" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/disable_xdamage"/>
- <entry name="use_upnp" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/use_upnp"/>
- <entry name="disable_background" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/disable_background"/>
- <entry name="icon_visibility" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/icon_visibility"/>
- <entry name="lock_screen_on_disconnect" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/lock_screen_on_disconnect"/>
- <entry name="mailto" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/mailto"/>
- <entry name="vnc_password" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/vnc_password"/>
- <entry name="authentication_methods" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/authentication_methods"/>
- <entry name="require_encryption" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/require_encryption"/>
- <entry name="alternative_port" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/alternative_port"/>
- <entry name="use_alternative_port" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/use_alternative_port"/>
- <entry name="network_interface" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/network_interface"/>
- <entry name="view_only" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/view_only"/>
- <entry name="prompt_enabled" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/prompt_enabled"/>
- <entry name="enabled" mtime="1362856243" schema="/schemas/desktop/gnome/remote_access/enabled"/>
+ <entry name="disable_xdamage" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/disable_xdamage"/>
+ <entry name="use_upnp" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/use_upnp"/>
+ <entry name="disable_background" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/disable_background"/>
+ <entry name="icon_visibility" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/icon_visibility"/>
+ <entry name="lock_screen_on_disconnect" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/lock_screen_on_disconnect"/>
+ <entry name="mailto" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/mailto"/>
+ <entry name="vnc_password" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/vnc_password"/>
+ <entry name="authentication_methods" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/authentication_methods"/>
+ <entry name="require_encryption" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/require_encryption"/>
+ <entry name="alternative_port" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/alternative_port"/>
+ <entry name="use_alternative_port" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/use_alternative_port"/>
+ <entry name="network_interface" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/network_interface"/>
+ <entry name="view_only" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/view_only"/>
+ <entry name="prompt_enabled" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/prompt_enabled"/>
+ <entry name="enabled" mtime="1376330941" schema="/schemas/desktop/gnome/remote_access/enabled"/>
</dir>
<dir name="font_rendering">
<entry name="rgba_order" mtime="1362854673" schema="/schemas/desktop/gnome/font_rendering/rgba_order"/>
<entry name="command" mtime="1362855762" schema="/schemas/desktop/gnome/url-handlers/vnc/command"/>
</dir>
<dir name="ymsgr">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/ymsgr/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/ymsgr/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/ymsgr/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/ymsgr/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/ymsgr/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/ymsgr/enabled"/>
</dir>
<dir name="xmpp">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/xmpp/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/xmpp/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/xmpp/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/xmpp/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/xmpp/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/xmpp/enabled"/>
</dir>
<dir name="sip">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/sip/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/sip/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/sip/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/sip/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/sip/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/sip/enabled"/>
</dir>
<dir name="msnim">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/msnim/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/msnim/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/msnim/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/msnim/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/msnim/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/msnim/enabled"/>
</dir>
<dir name="irc">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/irc/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/irc/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/irc/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/irc/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/irc/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/irc/enabled"/>
</dir>
<dir name="icq">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/icq/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/icq/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/icq/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/icq/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/icq/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/icq/enabled"/>
</dir>
<dir name="gg">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/gg/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/gg/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/gg/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/gg/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/gg/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/gg/enabled"/>
</dir>
<dir name="h323">
<entry name="needs_terminal" mtime="1362854593" schema="/schemas/desktop/gnome/url-handlers/h323/needs_terminal"/>
<entry name="enabled" mtime="1362854593" schema="/schemas/desktop/gnome/url-handlers/callto/enabled"/>
</dir>
<dir name="aim">
- <entry name="needs_terminal" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/aim/needs_terminal"/>
- <entry name="command" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/aim/command"/>
- <entry name="enabled" mtime="1365505100" schema="/schemas/desktop/gnome/url-handlers/aim/enabled"/>
+ <entry name="needs_terminal" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/aim/needs_terminal"/>
+ <entry name="command" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/aim/command"/>
+ <entry name="enabled" mtime="1376309541" schema="/schemas/desktop/gnome/url-handlers/aim/enabled"/>
</dir>
<dir name="mailto">
<entry name="needs_terminal" mtime="1362854593" schema="/schemas/desktop/gnome/url-handlers/mailto/needs_terminal"/>
+# i3status configuration file.
+# see "man i3status" for documentation.
+
+# It is important that this file is edited as UTF-8.
+# The following line should contain a sharp s:
+# ß
+# If the above line is not correctly displayed, fix your editor first!
+
general {
colors = true
interval = 5
order += "ethernet eth0"
order += "battery 0"
order += "load"
-order += "time"
+order += "tztime local"
wireless wlan0 {
format_up = "W: (%quality at %essid) %ip"
pidfile = "/var/run/vpnc/pid"
}
-time {
+tztime local {
format = "%Y-%m-%d %H:%M:%S"
}
}
disk "/" {
- format = "%free (or: %percentage_used used, %percentage_used_of_avail used of avail, %percentage_free free, %percentage_avail avail)"
+ format = "%free"
}
#!/sbin/runscript
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-power/cpufrequtils/files/cpufrequtils-init.d-006,v 1.2 2011/07/21 19:47:14 mattst88 Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-power/cpufrequtils/files/cpufrequtils-init.d-007,v 1.2 2013/05/06 11:09:09 lxnay Exp $
change() {
- local c ret=0 opts="$1"
- shift
- ebegin "Running cpufreq-set ${opts}"
- for c in $(cpufreq-info -o | awk '$1 == "CPU" { print $2 }') ; do
- cpufreq-set -c ${c} ${opts}
- : $(( ret += $? ))
- done
- eend ${ret}
-
- if [ $# -gt 0 ] ; then
- c=1
- einfo "Setting extra options: $*"
- if cd /sys/devices/system/cpu/cpufreq ; then
- local o v
- for o in "$@" ; do
- v=${o#*=}
- o=${o%%=*}
- echo ${v} > ${o} || break
- done
- c=0
- fi
- eend ${c}
- : $(( ret += c ))
- fi
-
- return ${ret}
+ ebegin "Running cpufreq-set ${*}"
+ /usr/libexec/cpufrequtils-change.sh "${@}" > /dev/null
+ eend $?
}
start() {
- change "${START_OPTS}" ${SYSFS_EXTRA}
+ change ${START_OPTS} -- ${SYSFS_EXTRA}
}
stop() {
#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.2.7-r2.initd,v 1.1 2007/12/19 17:38:30 chainsaw Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.9.5.3.initd,v 1.2 2013/03/18 17:49:55 polynomial-c Exp $
# Init script for g15daemon
+pidfile="/var/run/g15daemon.pid"
+command="/usr/sbin/g15daemon"
+command_args=""
+start_stop_daemon_args="--background --pidfile ${pidfile}"
+
depend() {
after hotplug
after usb
after modules
}
-start() {
- ebegin "Starting g15daemon"
-
+start_pre() {
# Does the input device already exist?
- if [ -e /proc/modules -a ! -e /dev/input/uinput ]; then
- # We can load modules, but uinput device does not exist
- einfo "Loading uinput module"
- /sbin/modprobe uinput > /dev/null 2> /dev/null
+ if [ -e "/proc/modules" ] ; then
+ if [ ! -e "/dev/input/uinput" ] && [ ! -e "/dev/uinput" ] ; then
+ # We can load modules, but uinput device does not exist
+ einfo "Loading uinput module"
+ /sbin/modprobe uinput > /dev/null 2> /dev/null
+ fi
fi
local SWITCHKEY=""
- [ "${CLIENT_SWITCH_L1}" = "yes" ] && SWITCHKEY="--switch"
- start-stop-daemon --start --background --pidfile /var/run/g15daemon.pid \
- --exec /usr/sbin/g15daemon -- ${SWITCHKEY}
- eend $? "Failed to start g15daemon."
+ [ "${CLIENT_SWITCH_L1}" = "yes" ] && command_args="--switch"
+
+ return 0
}
stop() {
if [ $BACKLIGHT_OFF = "yes" ]; then
KILLOPT="-K"
fi
- /usr/sbin/g15daemon ${KILLOPT} &>/dev/null
- sleep 1
- start-stop-daemon -R 5 --stop --quiet --pidfile /var/run/g15daemon.pid
+ start-stop-daemon -R 5 --exec ${command} -- ${KILLOPT}
eend $?
}
#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/cyrus-sasl/files/saslauthd2.rc6,v 1.7 2007/04/07 13:03:55 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/cyrus-sasl/files/saslauthd2.rc7,v 1.1 2013/07/13 12:01:10 pacho Exp $
depend() {
need net
stop() {
ebegin "Stopping saslauthd"
- start-stop-daemon --stop --quiet --pidfile /var/lib/sasl2/saslauthd.pid
+ start-stop-daemon --stop --quiet --pidfile /run/saslauthd/saslauthd.pid
eend $?
}
#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.rc6.3,v 1.5 2011/12/04 09:53:39 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/3.4/syslog-ng.rc6,v 1.5 2013/05/08 20:12:59 mr_bones_ Exp $
+SYSLOG_NG_CONFIGFILE=${SYSLOG_NG_CONFIGFILE:-/etc/syslog-ng/${RC_SVCNAME}.conf}
+SYSLOG_NG_STATEFILE_DIR=${SYSLOG_NG_STATEFILE_DIR:-/var/lib/syslog-ng}
+SYSLOG_NG_STATEFILE=${SYSLOG_NG_STATEFILE:-${SYSLOG_NG_STATEFILE_DIR}/syslog-ng.persist}
+SYSLOG_NG_PIDFILE_DIR=${SYSLOG_NG_PIDFILE_DIR:-/var/run}
+SYSLOG_NG_PIDFILE=${SYSLOG_NG_PIDFILE:-${SYSLOG_NG_PIDFILE_DIR}/${RC_SVCNAME}.pid}
+
+SYSLOG_NG_GROUP=${SYSLOG_NG_GROUP:-root}
+SYSLOG_NG_USER=${SYSLOG_NG_USER:-root}
+
+command="syslog-ng"
+command_args="--persist-file \"${SYSLOG_NG_STATEFILE}\" --cfgfile \"${SYSLOG_NG_CONFIGFILE}\" --pidfile \"${SYSLOG_NG_PIDFILE}\" ${SYSLOG_NG_OPTS}"
extra_commands="checkconfig"
extra_started_commands="reload"
+pidfile="${SYSLOG_NG_PIDFILE}"
+start_stop_daemon_args="--user \"${SYSLOG_NG_USER}\":\"${SYSLOG_NG_GROUP}\""
+description="Syslog-ng is a syslog replacement with advanced filtering features."
+description_checkconfig="Check the configuration file that will be used by \"start\""
+description_reload="Reload the configuration without exiting"
+required_files="${SYSLOG_NG_CONFIGFILE}"
+required_dirs="${SYSLOG_NG_PIDFILE_DIR}"
depend() {
- # Make networking dependency conditional on configuration
- case $(sed 's/#.*//' /etc/syslog-ng/syslog-ng.conf) in
- *source*tcp*|*source*udp*|*destination*tcp*|*destination*udp*)
- need net
- use stunnel ;;
- esac
-
- config /etc/syslog-ng/syslog-ng.conf
use clock
need hostname localmount
+ after bootmisc
provide logger
}
checkconfig() {
- if [ ! -e /etc/syslog-ng/syslog-ng.conf ] ; then
- eerror "You need to create /etc/syslog-ng/syslog-ng.conf first."
- eerror "An example can be found in /etc/syslog-ng/syslog-ng.conf.sample"
- return 1
- fi
- syslog-ng -s -f /etc/syslog-ng/syslog-ng.conf
-
- # the start and reload functions have their own eends so
- # avoid calling this twice when there are no problems
- [ $? -eq 0 ] || eend $? "Configuration error. Please fix your configfile (/etc/syslog-ng/syslog-ng.conf)"
+ ebegin "Checking your configfile (${SYSLOG_NG_CONFIGFILE})"
+ syslog-ng -s -f "${SYSLOG_NG_CONFIGFILE}"
+ eend $? "Configuration error. Please fix your configfile (${SYSLOG_NG_CONFIGFILE})"
}
-start() {
- checkconfig || return 1
- ebegin "Starting syslog-ng"
- [ -n "${SYSLOG_NG_OPTS}" ] && SYSLOG_NG_OPTS="-- ${SYSLOG_NG_OPTS}"
- start-stop-daemon --start --pidfile /var/run/syslog-ng.pid --exec /usr/sbin/syslog-ng ${SYSLOG_NG_OPTS}
- eend $? "Failed to start syslog-ng"
+start_pre() {
+ checkconfig || return 1
+ checkpath \
+ -d \
+ --mode 0700 \
+ --owner "${SYSLOG_NG_OWNER}:${SYSLOG_NG_GROUP}" \
+ "${SYSLOG_NG_STATEFILE_DIR}"
}
-stop() {
- ebegin "Stopping syslog-ng"
- start-stop-daemon --stop --pidfile /var/run/syslog-ng.pid
- eend $? "Failed to stop syslog-ng"
- sleep 1 # needed for syslog-ng to stop in case we're restarting
+stop_pre() {
+ [ "$RC_CMD" = restart ] && sleep 1
+ return 0
}
reload() {
- if [ ! -f /var/run/syslog-ng.pid ]; then
- eerror "syslog-ng isn't running"
- return 1
- fi
checkconfig || return 1
ebegin "Reloading configuration and re-opening log files"
- start-stop-daemon --signal HUP \
- --pidfile /var/run/syslog-ng.pid
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
eend $?
}
#auth_tls = "none"
+# Change the API access control scheme
+#
+# By default an authenticated user is allowed access
+# to all APIs. Access drivers can place restrictions
+# on this. By default the 'nop' driver is enabled,
+# meaning no access control checks are done once a
+# client has authenticated with libvirtd
+#
+#access_drivers = [ "polkit" ]
#################################################################
#
#remote_display_port_min = 5900
#remote_display_port_max = 65535
+# VNC WebSocket port policies, same rules apply as with remote display
+# ports. VNC WebSockets use similar display <-> port mappings, with
+# the exception being that ports starts from 5700 instead of 5900.
+#
+#remote_websocket_port_min = 5700
+#remote_websocket_port_max = 65535
# The default security driver is SELinux. If SELinux is disabled
# on the host, then the security driver will automatically disable
pdfimport scripting-javascript"
source /var/lib/layman/make.conf
+
+# Set PORTDIR for backward compatibility with various tools:
+# gentoo-bashcomp - bug #478444
+# euse - bug #474574
+# euses and ufed - bug #478318
+PORTDIR="/usr/portage"
dev-python/jinja doc i18n
dev-python/lxml doc
dev-python/m2crypto doc
+dev-python/nagios-plugin doc smart
dev-python/nevow doc
dev-python/numpy doc
dev-python/paramiko doc
--- /dev/null
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = /usr/portage
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
# Generated by net-scripts for interface eth0
domain pb.local
search pb.local brehm-online.com dc1.de.profitbricks.net dc2.us.profitbricks.net dc252.de.profitbricks.net uhu-banane.de
-nameserver 192.168.178.30
nameserver 192.168.178.89
+nameserver 192.168.178.30
-SEARCH_DIRS_MASK="/opt/icedtea-bin-6.1.12.5"
+SEARCH_DIRS_MASK="/opt/icedtea-bin-6.1.12.6"
# If using digest-md5 for username/passwds, then this is the file
# containing the passwds. Use 'saslpasswd2 -a libvirt [username]'
-# to add entries, and 'sasldblistusers2 -a libvirt' to browse it
+# to add entries, and 'sasldblistusers2 -f [sasldb_path]' to browse it
sasldb_path: /etc/libvirt/passwd.db
# Home page is: http://smartmontools.sourceforge.net
-# $Id: smartd.conf 3128 2010-07-27 13:08:31Z chrfranke $
+# $Id: smartd.conf 3651 2012-10-18 15:11:36Z samm2 $
# smartd will re-read the configuration file if it receives a HUP
# signal
#/dev/twa0 -d 3ware,1 -a -s L/../../2/03
# Monitor 2 SATA (not SAS) disks connected to a 3ware 9000 controller which
-# uses the 3w-sas driver (Linux, FreeBSD). Start long self-tests Tuesdays
+# uses the 3w-sas driver (Linux). Start long self-tests Tuesdays
# between 1-2 and 3-4 am.
+# On FreeBSD /dev/tws0 should be used instead
#/dev/twl0 -d 3ware,0 -a -s L/../../2/01
-#/dev/twa0 -d 3ware,1 -a -s L/../../2/03
+#/dev/twl0 -d 3ware,1 -a -s L/../../2/03
# Same as above for Windows. Option '-d 3ware,N' is not necessary,
# disk (port) number is specified in device name.
--- /dev/null
+#! /bin/sh
+#
+# smartd warning script
+#
+# Copyright (C) 2012-13 Christian Franke <smartmontools-support@lists.sourceforge.net>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# You should have received a copy of the GNU General Public License
+# (for example COPYING); If not, see <http://www.gnu.org/licenses/>.
+#
+# $Id: smartd_warning.sh.in 3784 2013-03-06 22:02:54Z chrfranke $
+#
+
+set -e
+
+# Set by config.status
+PACKAGE="smartmontools"
+VERSION="6.1"
+prefix="/usr"
+sysconfdir="/etc"
+
+# Default mailer
+os_mailer="mail"
+
+# Plugin directory
+plugindir="$sysconfdir/smartd_warning.d"
+
+# Parse options
+dryrun=
+case $1 in
+ --dryrun) dryrun=t; shift ;;
+esac
+
+if [ $# != 0 ]; then
+ cat <<EOF
+smartd $VERSION warning message script
+
+Usage:
+ export SMARTD_MAILER='Path to external script, empty for "$os_mailer"'
+ export SMARTD_ADDRESS='Space separated mail adresses, empty if none'
+ export SMARTD_MESSAGE='Error Message'
+ export SMARTD_FAILTYPE='Type of failure, "EMailTest" for tests'
+ export SMARTD_TFIRST='Date of first message sent, empty if none'
+ export SMARTD_TFIRSTEPOCH='time_t format of above'
+ export SMARTD_PREVCNT='Number of previous messages, 0 if none'
+ export SMARTD_NEXTDAYS='Number of days until next message, empty if none'
+ export SMARTD_DEVICEINFO='Device identify information'
+ #export SMARTD_DEVICE='Device name'
+ #export SMARTD_DEVICESTRING='Annotated device name'
+ #export SMARTD_DEVICETYPE='Device type from -d directive, "auto" if none'
+ $0 [--dryrun]
+EOF
+ exit 1
+fi
+
+if [ -z "${SMARTD_ADDRESS}${SMARTD_MAILER}" ]; then
+ echo "$0: SMARTD_ADDRESS or SMARTD_MAILER must be set" >&2
+ exit 1
+fi
+
+# Get host and domain names
+for cmd in 'hostname' 'uname -n' 'echo "${HOSTNAME?unset}"' 'echo "[Unknown]"'; do
+ hostname=`eval $cmd 2>/dev/null` || continue
+ test -n "$hostname" || continue
+ break
+done
+
+dnsdomain=${hostname#*.}
+if [ "$dnsdomain" != "$hostname" ]; then
+ # BSD 'hostname' prints FQDN
+ hostname=${hostname%%.*}
+else
+ # Linux Cygwin
+ for cmd in 'dnsdomainname' 'echo "${USERDNSDOMAIN?unset}"' 'echo'; do
+ dnsdomain=`eval $cmd 2>/dev/null` || continue
+ break
+ done
+fi
+
+for cmd in 'nisdomainname' 'ypdomainname' 'domainname' 'echo'; do
+ nisdomain=`eval $cmd 2>/dev/null` || continue
+ break
+done
+test "$nisdomain" != "(none)" || nisdomain=
+
+case $OS in
+ Windows*) windomain=$USERDOMAIN ;;
+ *) windomain= ;;
+esac
+
+# Format subject
+export SMARTD_SUBJECT="SMART error (${SMARTD_FAILTYPE-[SMARTD_FAILTYPE]}) detected on host: $hostname"
+
+# Format message
+fullmessage=`
+ echo "This message was generated by the smartd daemon running on:"
+ echo
+ echo " host name: $hostname"
+ echo " DNS domain: ${dnsdomain:-[Empty]}"
+ test -z "$nisdomain" ||
+ echo " NIS domain: $nisdomain"
+ test -z "$windomain" ||
+ echo " Win domain: $windomain"
+ echo
+ echo "The following warning/error was logged by the smartd daemon:"
+ echo
+ echo "${SMARTD_MESSAGE-[SMARTD_MESSAGE]}"
+ echo
+ echo "Device info:"
+ echo "${SMARTD_DEVICEINFO-[SMARTD_DEVICEINFO]}"
+ echo
+ echo "For details see host's SYSLOG."
+ if [ "$SMARTD_FAILTYPE" != "EmailTest" ]; then
+ echo
+ echo "You can also use the smartctl utility for further investigation."
+ test "$SMARTD_PREVCNT" = "0" ||
+ echo "The original message about this issue was sent at ${SMARTD_TFIRST-[SMARTD_TFIRST]}"
+ case $SMARTD_NEXTDAYS in
+ '') echo "No additional messages about this problem will be sent." ;;
+ 1) echo "Another message will be sent in 24 hours if the problem persists." ;;
+ *) echo "Another message will be sent in $SMARTD_NEXTDAYS days if the problem persists." ;;
+ esac
+ fi
+`
+
+# Export message with trailing newline
+export SMARTD_FULLMESSAGE="$fullmessage
+"
+
+# Run plugin scripts if requested
+case " $SMARTD_ADDRESS" in
+ *\ @*)
+ if [ -n "$dryrun" ]; then
+ echo "export SMARTD_SUBJECT='$SMARTD_SUBJECT'"
+ echo "export SMARTD_FULLMESSAGE='$SMARTD_FULLMESSAGE'"
+ fi
+
+ # Run ALL scripts if requested
+ case " $SMARTD_ADDRESS " in
+ *\ @ALL\ *)
+ for cmd in "$plugindir"/*; do
+ if [ -f "$cmd" ] && [ -x "$cmd" ]; then
+ if [ -n "$dryrun" ]; then
+ echo "$cmd </dev/null"
+ else
+ "$cmd" </dev/null
+ fi
+ fi
+ done
+ ;;
+ esac
+
+ # Run selected scripts
+ addrs=$SMARTD_ADDRESS
+ SMARTD_ADDRESS=
+ for ad in $addrs; do
+ case $ad in
+ @ALL)
+ ;;
+ @?*)
+ cmd="$plugindir/${ad#@}"
+ if [ -f "$cmd" ] && [ -x "$cmd" ]; then
+ if [ -n "$dryrun" ]; then
+ echo "$cmd </dev/null"
+ else
+ "$cmd" </dev/null
+ fi
+ elif [ ! -e "$cmd" ]; then
+ echo "$cmd: Not found" >&2
+ fi
+ ;;
+ *)
+ SMARTD_ADDRESS="${SMARTD_ADDRESS:+ }$ad"
+ ;;
+ esac
+ done
+
+ # Send email to remaining addresses
+ test -n "$SMARTD_ADDRESS" || exit 0
+ ;;
+esac
+
+# Send mail or run command
+if [ -n "$SMARTD_ADDRESS" ]; then
+
+ # Send mail, use platform mailer by default
+ test -n "$SMARTD_MAILER" || SMARTD_MAILER=$os_mailer
+ if [ -n "$dryrun" ]; then
+ echo "exec '$SMARTD_MAILER' -s '$SMARTD_SUBJECT' $SMARTD_ADDRESS <<EOF
+$fullmessage
+EOF"
+ else
+ exec "$SMARTD_MAILER" -s "$SMARTD_SUBJECT" $SMARTD_ADDRESS <<EOF
+$fullmessage
+EOF
+ fi
+
+elif [ -n "$SMARTD_MAILER" ]; then
+
+ # Run command
+ if [ -n "$dryrun" ]; then
+ echo "export SMARTD_SUBJECT='$SMARTD_SUBJECT'"
+ echo "export SMARTD_FULLMESSAGE='$SMARTD_FULLMESSAGE'"
+ echo "exec '$SMARTD_MAILER' </dev/null"
+ else
+ unset SMARTD_ADDRESS
+ exec "$SMARTD_MAILER" </dev/null
+ fi
+
+fi
# CiceroExecutable indicates path to the cicero executable (the file called
# tts_brltty_es.py in the original distribution of the 0.7 version). You can
# create a symbolic link # ln -s your-path/tts_brltty_es.py /usr/bin/cicero or
-# probably better in /usr/local/bin/cicero and modify the bellow option
+# probably better in /usr/local/bin/cicero and modify the below option
# accordingly.
#CiceroExecutable "/usr/bin/cicero"
# Debug turns debugging on or off
# See speechd.conf for information where debugging information is stored
-#Debug 0
\ No newline at end of file
+#Debug 0
EspeakPunctuationList "@+_"
EspeakCapitalPitchRise 0
+# -- Rate control --
+# The following options are in words per minute
+#the same as the -s parameter for the -s option in espeak command line tool.
+
+# Minimum rate (-100 in speech-dispatcher)
+EspeakMinRate 80
+
+# Normal rate (0 in speech-dispatcher)
+EspeakNormalRate 170
+
+# Maximum rate (100 in speech-dispatcher)
+EspeakMaxRate 390
+
+
+
# -- Internal parameters --
# Number of ms of audio returned by the espeak callback function.
# its clients. Two basic methods are "unix_socket" and "inet_socket".
#
# unix_socket -- communication over Unix sockets represented by a file in the
-# filesystem (see SocketPath bellow). This method works only locally, but is
+# filesystem (see SocketPath below). This method works only locally, but is
# prefered for standard session setup, where every user runs his own instance of Speech
# Dispatcher to get voice feedback on his own computer.
#
# SocketPath is either "default" or a full path to the filesystem
# where the driving Unix socket file should be created in case the
# CommunicationMethod is set to "unix_socket". The default is
-# ~/.speech-dispatcher/speechd.sock where ~ is the given users home directory.
+# $XDG_RUNTIME_DIR/speech-dispatcher/speechd.sock where $XDG_RUNTIME_DIR
+# is the directory specified by the XDG Base Directory Specification.
# Do not change this unless you have a reason and know what you are doing.
# SocketPath "default"
# The CustomLogFile allows logging all messages of the given kind,
# regardless their priority, to the given destination.
-#CustomLogFile "protocol" "/var/log/speech-dispatcher/speechd-protocol.log"
+#CustomLogFile "protocol" "/var/log/speech-dispatcher/speech-dispatcher-protocol.log"
# ----- VOICE PARAMETERS -----
# default. Voice types are symbolic names which map to particular
# voices provided by the synthesizer according to the output module
# configuratuion. Please see the synthesizer-specific configuration
-# in etc/speechd/modules/ to see which voices are assigned to
+# in etc/speech-dispatcher/modules/ to see which voices are assigned to
# different symbolic names. The following symbolic names are
# currently supported: MALE1, MALE2, MALE3, FEMALE1, FEMALE2, FEMALE3,
# CHILD_MALE, CHILD_FEMALE
# - binary is the path to the binary executable of this module,
# either relative (to lib/speech-dispatcher-modules/) or absolute
# - configuration is the path to the config file of this module,
-# either relative (to etc/speechd/modules/) or absolute
+# either relative (to etc/speech-dispatcher/modules/) or absolute
-AddModule "espeak" "sd_espeak" "espeak.conf"
-AddModule "festival" "sd_festival" "festival.conf"
+#AddModule "espeak" "sd_espeak" "espeak.conf"
+#AddModule "festival" "sd_festival" "festival.conf"
#AddModule "flite" "sd_flite" "flite.conf"
#AddModule "ivona" "sd_ivona" "ivona.conf"
+#AddModule "pico" "sd_pico" "pico.conf"
#AddModule "espeak-generic" "sd_generic" "espeak-generic.conf"
#AddModule "espeak-mbrola-generic" "sd_generic" "espeak-mbrola-generic.conf"
#AddModule "swift-generic" "sd_generic" "swift-generic.conf"
# DO NOT REMOVE the following line unless you have
# a specific reason -- this is the fallback output module
# that is only used when no other modules are in use
-AddModule "dummy" "sd_dummy" ""
+#AddModule "dummy" "sd_dummy" ""
# The output module testing doesn't actually connect to anything. It
# outputs the requested commands to standard output and reads
--- /dev/null
+# The kernel allocates aio memory on demand, and this number limits the
+# number of parallel aio requests; the only drawback of a larger limit is
+# that a malicious guest could issue parallel requests to cause the kernel
+# to set aside memory. Set this number at least as large as
+# 128 * (number of virtual disks on the host)
+# Libvirt uses a default of 1M requests to allow 8k disks, with at most
+# 64M of kernel memory if all disks hit an aio request at the same time.
+fs.aio-max-nr = 1048576
+++ /dev/null
-#############################################################################
-#
-# Default modules.conf file for syslog-ng which lists all modules loaded on
-# startup by default. This file is included by scl, but can be used by
-# including the file directly and avoiding scl.conf entirely.
-#
-# SCL plugins will not emit @module lines for modules listed here (but may
-# do so for other non-listed stuff).
-#
-
-# syslog-ng loads all compile-time configured modules by default, unless
-# autoload-compiled-modules is set to 0.
-#
-# The next line in this file sets this value to 0, and only loads a selected
-# set of modules as assumed by SCL. So if you don't really want control
-# over the modules loaded, simply don't include this file.
-
-@define autoload-compiled-modules 0
-@module syslogformat
-@module basicfuncs
-@module afsocket
-@module affile
-@module afprog
-@module afuser
-@module dbparser
-@module csvparser
-
-### afstreams is auto-loaded by the system() source if needed
-#@module afstreams
-
-### afsql is not loaded by default
-#@module afsql
#############################################################################
-# Copyright (c) 2010 BalaBit IT Ltd, Budapest, Hungary
+# Copyright (c) 2010-2012 BalaBit IT Ltd, Budapest, Hungary
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, or (at your option) any later version.
#
-# As an additional exemption you are allowed to compile & link against the
-# OpenSSL libraries as published by the OpenSSL project. See the file
-# COPYING for details.
-#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
+# As an additional exemption you are allowed to compile & link against the
+# OpenSSL libraries as published by the OpenSSL project. See the file
+# COPYING for details.
+#
#############################################################################
#
# This file is placed into /etc/syslog-ng in order to make it trivial to
@define scl-root "`syslog-ng-data`/include/scl"
@define include-path "`include-path`:`syslog-ng-data`/include"
-@include 'modules.conf'
@include 'scl/system/plugin.conf'
@include 'scl/pacct/plugin.conf'
@include 'scl/syslogconf/plugin.conf'
-@version: 3.2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/syslog-ng.conf.gentoo.3.2,v 1.1 2011/01/18 17:44:14 mr_bones_ Exp $
+@version: 3.4
+# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/3.4/syslog-ng.conf.gentoo,v 1.2 2013/06/02 01:18:35 mr_bones_ Exp $
#
# Syslog-ng default configuration file for Gentoo Linux
+# https://bugs.gentoo.org/show_bug.cgi?id=426814
+@include "scl.conf"
+
options {
- long_hostnames(off);
+# long_hostnames(off);
+ threaded(yes);
chain_hostnames(no);
flush_lines(0);
# the compiled in servers are not suitable. Each entry is a single
# text line and consists of a regular expression pattern to match and
# the whois server to be used for it, separated by blank space.
+# IDN domains must use the ACE format.
#
# Eg:
# \.nz$ nz.whois-servers.net